#
# spec file for package sed (Version 4.1.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sed
URL:            http://www.gnu.org/directory/sed.html
Version:        4.1.4
Release:        17.2
License:        GPL
Group:          System/Base
Summary:        A Stream-Oriented Non-Interactive Text Editor
Provides:       base:/bin/sed
PreReq:         %install_info_prereq
Autoreqprov:    on
Source:         %name-%version.tar.bz2
Patch:          off-by-one.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sed takes text input, performs some operation (or set of operations) on
it and outputs the modified text. Sed is typically used for extracting
part of a file using pattern matching or substituting multiple
occurences of a string within a file.



Authors:
--------
    Francois Pinard      <pinard@iro.umontreal.ca>
    Tom Lord             <lord@cygnus.com>
    David J. MacKenzie   <djm@gnu.ai.mit.edu>
    Akiko Matsushita <matusita@sra.co.jp>
    Alan Magnuson <awm@osc.edu>
    Alexander Lehmann <alex@hal.rhein-main.de>
    Amos Shapira <amoss@cs.huji.ac.il>
    Andreas Gustafsson <gson@niksula.hut.fi>
    Andreas Schwab <schwab@suse.de>
    Assar Westerlund <assar@nada.kth.se>
    Ben A. Mesander	 <ben@piglet.cr.usgs.gov>
    Bengt Mertensson <bengt@mathematik.uni-bremen.de>
    Bernhard Daeubler <Bernhard.Daeubler@physik.uni-ulm.de>
    Bjorn R. Bjornsson <brb@falcon.is>
    Brendan Kehoe	 <brendan@cygnus.com>
    Erez Zadok	 <ezk@cs.columbia.edu>
    Eric Allman	 <sendmail@sendmail.ORG>
    Eric Backus	 <ericb@lsid.hp.com>
    Geoff Russell	 <grussell@guest.adelaide.edu.au>
    Greg A. Woods	 <woods@web.apc.org>
    Hal Peterson	 <hrp@pecan.cray.com>
    Hoang Uong	 <hoang@ornews.intel.com>
    Ian Lance Taylor	 <ian@cygnus.com>
    Jason Merrill <jason@cygnus.com>
    Jim Avera	 <jima@netcom.com>
    Jim Kingdon	 <kingdon@cygnus.com>
    Jim Meyering	 <meyering@na-net.ornl.gov>
    Joel Sherrill	 <jsherril@uahcs2.cs.uah.edu>
    John David Anglin <dave@hiauly1.hia.nrc.ca>
    Joseph E. Sacco	 <jsacco@ssl.com>
    Karl Berry	 <karl@cs.umb.edu>
    Karl Vogel	 <vogelke@c-17igp.wpafb.af.mil>
    Kaveh R. Ghazi	 <ghazi@noc.rutgers.edu>
    Kristine Lund	 <lund@lpnaxp.in2p3.fr>
    Krste Asanovic	 <krste@icsi.berkeley.edu>
    Marion Hakanson	 <hakanson@cse.ogi.edu>
    Mark Seiden	 <mis@seiden.com>
    Matthias Rabe	 <rabe@mathematik.uni-bielefeld.de>
    Michael Fetterman <mafetter@ichips.intel.com>
    Michael L. Welcome <welcome@bigbird.llnl.gov>
    Mike Lijewski	 <lijewski@theory.tc.cornell.edu>
    Nick S. Kanakakor <skanan@otl.scu.edu>
    Nicolas Pioch	 <pioch@inf.enst.fr>
    Noah Friedman	 <friedman@gnu.ai.mit.edu>
    Pete Chown	 <pete.chown@dale.dircon.co.uk>
    Pierre Gaumond	 <gaumondp@ere.umontreal.ca>
    Pierre Mathieu	 <mathieu@geod.emr.ca>
    Robert Bernstein <rocky@panix.com>
    Rene' Seindal	 <seindal@kb.dk>
    Richard Stallman <rms@gnu.ai.mit.edu>
    Roland H. Pesch	 <roland@wrs.com>
    Roland McGrath	 <roland@gnu.ai.mit.edu>
    Scott Bartram
    Simon Leinen	 <simon@lia.di.epfl.ch>
    Skip Montanaro	 <skip@automatrix.com>
    Stephen Perkins	 <perkins@cps.msu.edu>
    Steve Williamson <willy@uinpla.npl.uiuc.edu>
    Thorsten Ohl	 <ohl@physics.harvard.edu>
    Tom McConnell	 <tmcconne@sedona.intel.com>
    Tom Quinn	 <trq@dionysos.thphys.ox.ac.uk>
    Tom Tromey	 <tromey@cns.caltech.edu>
    Ulrich Drepper	 <drepper@gnu.ai.mit.edu>
    Vern Paxson	 <vern@ee.lbl.gov>
    Vivek P. Singhal <singhal@cs.utexas.edu>
    Walter Wong	 <wcw+@cmu.edu>
    Paolo Bonzini (bonzini@gnu.org)
    Philip Hazel (ph10@cam.ac.uk)

%debug_package
%prep
%setup -q
%patch -p1

%build
%define warn_flags -Wall -Wstrict-prototypes -Wpointer-arith -Wformat-security
%{?suse_update_config:%{suse_update_config}}
cp /usr/share/gettext/config.rpath config
autoreconf --force --install
test -f po/Makevars.template && mv po/Makevars.template po/Makevars
export CFLAGS="$RPM_OPT_FLAGS %warn_flags"
./configure	--prefix=/usr \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--without-included-regex \
		%{_target_cpu}-suse-linux
%if %do_profiling
  make CFLAGS="$CFLAGS "%cflags_profile_generate
  make check
  make clean
  make CFLAGS="$CFLAGS "%cflags_profile_feedback
%else
  make
%endif
make check

%install
rm -rf   $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# move sed to /bin
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/sed $RPM_BUILD_ROOT/bin
ln -sf ../../bin/sed $RPM_BUILD_ROOT/usr/bin/sed
rm -f $RPM_BUILD_ROOT/usr/share/doc/sed.html

%files
%defattr(-, root, root)
/bin/sed
/usr/bin/sed
%doc AUTHORS BUGS COPYING* INSTALL NEWS README* THANKS doc/sed.html

%_infodir/sed.info*.gz
%_mandir/man*/*.gz
/usr/share/locale/*/LC_MESSAGES/sed.mo

%post
%install_info --info-dir=%_infodir %_infodir/%name.info.gz

%postun
%install_info_delete --info-dir=%_infodir %_infodir/%name.info.gz

%changelog -n sed
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - agruen@suse.de
- off-by-one.diff: Report the correct back-reference number if
  a substitution's left-hand side does not contain enough groups.
* Fri Apr 01 2005 - schwab@suse.de
- Don't use included regex.
* Mon Jan 31 2005 - mmj@suse.de
- Update to 4.1.4 including:
  o \B correctly means "not on a word boundary" rather than
  "inside a word"
  o bugfixes for platform without internationalization
  o more thorough testing framework for tarballs
  (`make full-distcheck')
* Sat Jan 22 2005 - mmj@suse.de
- Update to 4.1.3 including:
  o regex addresses do not use leftmost-longest matching.  In
  other words, /.\+/ only looks for a single character, and
  does not try to find as many of them as possible like it used
  to do.
  o added a note to BUGS and the manual about changed interpretation
  of `s|abc\|def||', and about localization issues.
  o fixed --disable-nls build problems on Solaris.
  o fixed `make check' in non-English locales.
  o `make check' tests the regex library by default if the
  included regex is used (regex tests had to be enabled
  separately up to now).
* Fri Sep 17 2004 - uli@suse.de
- fixed segfault (bug #45491)
* Sun Aug 22 2004 - mmj@suse.de
- Update to sed-4.1.2 including:
  o fix bug in 'y' command in multi-byte character sets
  o fix severe bug in parsing of ranges with an embedded open bracket
  o fix off-by-one error when printing a "bad command" error
* Wed Jul 07 2004 - mmj@suse.de
- Update to 4.1.1 including the initialization fix of output_fd
* Wed Jun 23 2004 - ro@suse.de
- do initialize output_fd before use
* Thu Jun 17 2004 - mmj@suse.de
- Update to 4.1 including:
  o // matches the last regular expression even in
  POSIXLY_CORRECT mode.
  o change the way we treat lines which are not terminated by a
  newline.  Such lines are printed without the terminating
  newline (as before) but as soon as more text is sent to the
  same output stream, the missing newline is printed, so that
  the two lines don't concatenate.  The behavior is now
  independent from POSIXLY_CORRECT because POSIX actually has
  undefined behavior in this case, and the new implementation
  arguably gives the ``least expected surprise''.
  o documentation improvements, with updated references to the
  POSIX.2 specification
  o error messages on I/O errors are better, and -i does not
  leave temporary files around (e.g. when running ``sed -i'' on
  a directory) [#35419]
  o escapes are accepted in the y command (for example: y/o/\n/
  transforms o's into newlines)
  o -i option tries to set the owner and group to the same as the
  input file
  o `L' command is deprecated and will be removed in sed 4.2.
  o line number addresses are processed differently -- this is
  supposedly conformant to POSIX and surely more idiot-proof.
  Line number addresses are not affected by jumping around
  them: they are activated and deactivated exactly where the
  script says, while previously 5,8b 1,5d would actually delete
  lines 1,2,3,4 and 9 (!).
  o multibyte characters are taken in consideration to compute
  the operands of s and y, provided you set LC_CTYPE correctly.
  They are also considered by \l, \L, \u, \U, \E.
  o [\n] matches either backslash or 'n' when POSIXLY_CORRECT.
  o new option --posix, disables all GNU extensions.
  POSIXLY_CORRECT only disables GNU extensions that violate the
  POSIX standard.
  o options -h and -V are not supported anymore, use --help and
--version.
  o removed documentation for \s and \S which worked incorrectly
  o restored correct behavior for \w and \W: match [[:alnum:]_]
  and [^[:alnum:]_] (they used to match [[:alpha:]_] and
  [^[:alpha:]_]
  o the special address 0 can only be used in 0,/RE/ or 0~STEP
  addresses; other cases give an error (you are hindering
  portability for no reason if specifying 0,N and you are
  giving a dead command if specifying 0 alone).
  o when a \ is used to escape the character that would terminate
  an operand of the s or y commands, the backslash is removed
  before the regex is compiled.  This is left undefined by
  POSIX; this behavior makes `s+x\+++g' remove occurrences of
  `x+', consistently with `s/x\///g'.  (However, if you enjoy
  yourself trying `s*x\***g', sed will use the `x*' regex, and
  you won't be able to pass down `x\*' while using * as the
  delimiter; ideas on how to simplify the parser in this
  respect, and/or gain more coherent semantics, are welcome).
* Fri Mar 12 2004 - mmj@suse.de
- Remove created tempfile in the case of rename failing [#35419]
* Tue Feb 24 2004 - mmj@suse.de
- Update to 4.0.9 with the following changes since 4.0.6:
  o 0 address behaves correctly in single-file (-i and -s) mode.
  o documentation improvements.
  o tested with many hosts and compilers.
  o updated regex matcher from upstream, with many bugfixes and
  speedups.
  o the `N' command's feature that is detailed in the BUGS file was
  disabled by the first change below in sed 4.0.8.  The behavior
  has now been restored, and is only enabled if POSIXLY_CORRECT
  behavior is not requested.
  o fix `sed n' printing the last line twice.
  o fix incorrect error message for invalid character classes.
  o fix segmentation violation with repeated empty subexpressions.
  o fix incorrect parsing of ^ after escaped (.
  o more comprehensive test suite (and with many expected failures...)
  o fix for -i option under Cygwin
  o VPATH builds working on non-glibc machines
  o fixed bug in s///Np: was printing even if less than N matches were
  found.
  o fixed infinite loop on s///N when LHS matched a null string and
  there were not enough matches in pattern space
  o behavior of s///N is consistent with s///g when the LHS can match
  a null string (and the infinite loop did not happen :-)
  o updated some translations
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Jun 20 2003 - ro@suse.de
- build with current gettext
* Wed Jun 04 2003 - jh@suse.de
- Enable profile feedback
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Mar 21 2003 - pthomas@suse.de
- Update to 4.0.6
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Mon Nov 18 2002 - ro@suse.de
- set AM_GNU_GETTEXT_VERSION and use 0.10.36 since this is the
  first one with DESTDIR support
* Fri Sep 20 2002 - pthomas@suse.de
- Correctly reference regex(7) from man page, remove the
  obsolete remark. Fixes bug #19923.
* Wed Aug 14 2002 - pthomas@suse.de
- Fix configure.in so that --with-regex=no actually does
  work.
- Make sed use glibc's regex/regex.h.
* Wed Jul 03 2002 - poeml@suse.de
- enable 'make check' again on ppc64
* Wed Jul 03 2002 - bk@suse.de
- add man page and remove joe from neededforbuild, no rebuild by joe
* Tue Jun 04 2002 - pthomas@suse.de
- Move tar and sed to separate packages.
- Update to 3.02.80
- Adapt i18n patch.
- Call autoreconf.
- Update regex.c and regex.h to glibc 2.2.5 versions.
- Use AM_MAINTAINER_MODE and don't enable it (no reconfiguration).
- rework the autoconf test involving LIBOBJS
- Remove acinclude.m4.
- Make acconfig.h obsolete.
* Wed May 22 2002 - olh@suse.de
- disable sed make check on ppc64
* Wed May 22 2002 - olh@suse.de
- allow build as user, use buildroot
* Fri Nov 23 2001 - mfabian@suse.de
- add sed-3.02-i18n-0.5.patch from
  http://oss.software.ibm.com/developer/opensource/linux/patches/i18n/
  with this patch, sed passes the tests for the LI18NUX2K.L1
  specification.
* Wed May 09 2001 - cstein@suse.de
- repacked sources of sed with bzip2.
* Mon May 29 2000 - kukuk@suse.de
- Move sed to /bin, add compat link
* Mon Jan 17 2000 - ro@suse.de
- info -> /usr/share/info
